View Issue Details

IDProjectCategoryView StatusLast Update
00303282.x IDE BugsStart PagePublic2019-01-31 14:54
ReporterSteven CampbellAssigned ToSteven Campbell 
PriorityVery HighSeverityA - Crash/HangReproducibility<25%
Status ClosedResolutionFixed 
Product Version2.2.1 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030328: Start Page: Crash in System.IO.Path.CheckInvalidPathChars(String path, Boolean checkAdditional) trying to load page
DescriptionFrom Zendesk 148132, 149435, and 149692

After Game Maker 2 has loaded in languages, plugins etc. the loading box/splash screen disappears and then nothing more happens for a while. After about 3 seconds the app crashes and quits. I know there's supposed to be icons for starting new projects and loading them but they won't show up at all. There are no error messages from windows or anything it just completely closes.

Callstack:
[19:06:41:879(2aa2)] --------------------------------------------------------------------------------
[19:06:41:880(2aa2)] IDE Exception: System.ArgumentException
[19:06:41:881(2aa2)] Exception message: Illegal characters in path.
[19:06:41:885(2aa2)] Exception stack: at System.IO.Path.CheckInvalidPathChars(String path, Boolean checkAdditional)
  at System.IO.Path.IsPathRooted(String path)
  at YoYoStudio.Plugins.CorePlugins.StartPage.StartPageModule.<>c__DisplayClass60_0.<ReadRecentTutorials>b__0(Object _result, Object _data)
  at YoYoStudio.FileAPI.FileRequest.Complete(Object _result, Object _userData)
  at YoYoStudio.FileAPI.FileRequest.ResultOperation()
  at YoYoStudio.Core.Utils.FileAPI.ThreadedAsyncQueue.DispatchCompletedRequests()
  at YoYoStudio.FileAPI.FileSystem_Local.Tick(Boolean _applicationIsBackground)
  at YoYoStudio.FileAPI.FileSystem.Tick(Boolean _applicationIsBackground)
  at YoYoStudio.IDE.Tick()
  at YoYoStudio.IDE.Run()
  at YoYoStudio.IDE.Execute(String[] _args, Int32 _initialWidth, Int32 _initialHeight)
[19:06:41:886(2aa2)] --------------------------------------------------------------------------------
[19:06:41:888(2aa2)] ####################################
[19:06:41:889(2aa2)] Break in FatalErrorWarning (IDE:2451)
[19:06:41:890(2aa2)] ####################################
TagsIDE
2.x IDE Found In
2.x Runtime Found In
2.x IDE Verified In2.2.2.390
2.x Runtime Verified In2.2.2.302

Activities

Steven Campbell

2018-12-14 14:08

Manager   ~0062246

Fixed in Red IDE/GitHub Pull Request 4405
Git Id: 61bd6e7682e2fb35371a0692f15218c8ea537a71

Dan

2019-01-22 17:10

Adminstrator   ~0062482

For anyone who has this issue, simply deleting your "recent_tutorials" file in %appdata%\GameMakerStudio2\[your GM username]\ should allow GMS2 to start up straight away without having to update your IDE.